## visad.data.dods
Class ByteVariableAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.ByteVariableAdapter

public class ByteVariableAdapter
extends VariableAdapter

Provides support for adapting DODS DByte variables to the `visad.data.in` context.

Method Summary
`static ByteVariableAdapter` `byteVariableAdapter(DByte var, DAS das)`
`DataImpl` `data(DByte var, boolean copy)` Returns a VisAD data object corresponding to a DODS `DByte`.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`SimpleSet[]` `getRepresentationalSets(boolean copy)` Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### byteVariableAdapter

    public static ByteVariableAdapter byteVariableAdapter(DByte var,
                                                          DAS das)
                                                   throws VisADException,
                                                          RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getMathType

    public MathType getMathType()

  Description copied from class: `VariableAdapter`
  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### getRepresentationalSets

    public SimpleSet[] getRepresentationalSets(boolean copy)

  Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.

  Overrides:
    `getRepresentationalSets` in class `VariableAdapter`
  Parameters:
    `copy` - If true, then the data values are copied.
  Returns:
    The VisAD Sets used to represent the data values in the range of a FlatField.

### data

    public DataImpl data(DByte var,
                         boolean copy)

  Returns a VisAD data object corresponding to a DODS `DByte`. The DByte must be compatible with the the DByte used to construct this instance. In particular, the name of the DByte used to construct this instance will be used in naming the returned VisAD `Real`.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `var` - The DODS variable. The variable must be compatible with the the variable used to construct this instance.
    `copy` - If true, then data values are copied.
  Returns:
    A corresponding VisAD data object. The class of the object will be `Real`.